import React, { Component } from "react";
import type { T_PDFJS_Document } from "../types";
export declare function setPdfWorker(workerSrcOrClass: any): void;
declare type Props = {
    url: string;
    beforeLoad: React.ReactElement;
    errorMessage?: React.ReactElement;
    children: (pdfDocument: T_PDFJS_Document) => React.ReactElement;
    onError?: (error: Error) => void;
    cMapUrl?: string;
    cMapPacked?: boolean;
};
declare type State = {
    pdfDocument: T_PDFJS_Document | null | undefined;
    error: Error | null | undefined;
};
declare class PdfLoader extends Component<Props, State> {
    state: State;
    documentRef: React.RefObject<HTMLElement>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate({ url }: Props): void;
    componentDidCatch(error: Error, info?: any): void;
    load(): void;
    render(): JSX.Element;
    renderError(): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
}
export default PdfLoader;
